0

Today I updated my old installation of texlive to, what I assume is the most current, but now one of my documents can no longer compile.

MWE:

\documentclass[dvips]{memoir}

\usepackage{xcolor}
\usepackage{xwatermark}
\usepackage[colorlinks]{hyperref}

\begin{document}
This is a test
\end{document}

I know some ways of making it work but not without sacrificing some of the features.

  1. Remove dvips from documentclass. Need this for psfrag?
  2. Remove colorlinks from hyperref
  3. Remove xcolor. Need this for coloring tables.

Also I found this thread (Avoid Option clash for package xcolor) which seem similar but I can not seem to make it work.

Searching the internet leads me to believe it is related to the catoptions-package that is called by xwatermark but no solution seems to exist.

  • 2
    remove the dvips option, I doubt that you need it. – Ulrike Fischer Oct 30 '17 at 18:52
  • You can remove dvips option and use auto-pst-pdf which provides a means to use psfrag even with pdf – user31729 Oct 30 '17 at 18:54
  • Welcome to TeX.SE! – Cragfelt Oct 30 '17 at 18:56
-1

I ended up just running latex in nonstopmode. The output appears to be the same.

  • That really is not the answer to the problem. All that does: Make you forget this clash and not show you any other problems in the document. A mistake made by many beginners. Unfortunately, all those come here one or two days before the deadline, panicking because the document won't compile. – Johannes_B Nov 5 '17 at 7:02
  • In general I agree but what I have learned searching the web is that the catoptions package redefines package loading in a way that is not in line with the spec. In some cases, like mine, it breaks backwards compatibility – natlampen Nov 6 '17 at 21:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.